# Generated by rust2rpm 18
%bcond_without check
%global debug_package %{nil}

%global crate rustix

Name:           rust-%{crate}
Version:        0.27.1
Release:        1%{?dist}
Summary:        Safe Rust bindings to POSIX/Unix/Linux syscalls

# Upstream license specification: Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT
License:        ASL 2.0 with exceptions or ASL 2.0 or MIT
URL:            https://crates.io/crates/rustix
Source:         %{crates_source}
# Initial patched metadata
# - Remove windows-only dependency
# - Upgrade "bitflags" dependency
Patch0:         rustix-fix-metadata.diff
# Rebuild the static library
Patch1:         0001-Use-cc-to-rebuild-library.diff

# Crate "posish" has been renamed "rsix", then "rustix"
Obsoletes: rust-posish < 0.18.0

ExclusiveArch:  %{rust_arches}
%if %{__cargo_skip_build}
BuildArch:      noarch
%endif

BuildRequires:  rust-packaging

%global _description %{expand:
Safe Rust bindings to POSIX/Unix/Linux syscalls.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%license LICENSE-MIT LICENSE-Apache-2.0_WITH_LLVM-exception LICENSE-APACHE COPYRIGHT
%doc SECURITY.md README.md ORG_CODE_OF_CONDUCT.md CODE_OF_CONDUCT.md
%{cargo_registry}/%{crate}-%{version_no_tilde}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+async-std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+async-std-devel %{_description}

This package contains library source intended for building other packages
which use "async-std" feature of "%{crate}" crate.

%files       -n %{name}+async-std-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+io-lifetimes-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+io-lifetimes-devel %{_description}

This package contains library source intended for building other packages
which use "io-lifetimes" feature of "%{crate}" crate.

%files       -n %{name}+io-lifetimes-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+itoa-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+itoa-devel %{_description}

This package contains library source intended for building other packages
which use "itoa" feature of "%{crate}" crate.

%files       -n %{name}+itoa-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+mio-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+mio-devel %{_description}

This package contains library source intended for building other packages
which use "mio" feature of "%{crate}" crate.

%files       -n %{name}+mio-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+once_cell-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+once_cell-devel %{_description}

This package contains library source intended for building other packages
which use "once_cell" feature of "%{crate}" crate.

%files       -n %{name}+once_cell-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+os_pipe-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+os_pipe-devel %{_description}

This package contains library source intended for building other packages
which use "os_pipe" feature of "%{crate}" crate.

%files       -n %{name}+os_pipe-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+procfs-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+procfs-devel %{_description}

This package contains library source intended for building other packages
which use "procfs" feature of "%{crate}" crate.

%files       -n %{name}+procfs-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+socket2-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+socket2-devel %{_description}

This package contains library source intended for building other packages
which use "socket2" feature of "%{crate}" crate.

%files       -n %{name}+socket2-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages
which use "std" feature of "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+tokio-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+tokio-devel %{_description}

This package contains library source intended for building other packages
which use "tokio" feature of "%{crate}" crate.

%files       -n %{name}+tokio-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep
# Remove pre-built binaries
rm src/imp/linux_raw/arch/outline/debug/*.a
rm src/imp/linux_raw/arch/outline/release/*.a

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Sun Nov 28 2021 Olivier Lemasle <o.lemasle@gmail.com> - 0.27.1-1
- Initial package
